1 Reply Latest reply on Dec 21, 2015 9:32 AM by A.T. Romano

    the project is not Compatible with current version of Premiere Elements. ???

    UrbanClean

      Hi, I just close a project, and attempting to open it I get the message: the project is not Compatible with current version of Premiere Elements. How is possible? I have to do? Thank you!